// These values will be added to velocity vectors
float addX = 0;
float addY = 0;

// Make a list to hold vectors
ArrayList<PVector> vectorList;

// How many do we want?
int vectorCount = 50;

// Use one velocity vector for all location vectors in the list
PVector velocity;

// We're going to change the angle of the vectors in the list
float angle = 0;

void setup() {
  size(800, 800);
  
  // Slow things down a bit
  frameRate(10);
  
  // Don't forget to make the list before using it
  vectorList = new ArrayList<PVector>();
  
  // Create new vectors and add them to the list
  for (int i = 0; i < vectorCount; i++) {
    vectorList.add(new PVector(width/2, height/2));
  }
  
  // Make the velocity vector
  velocity = new PVector(0, 0);
}

void draw() {
  background(255);
  
  /*
  Go through the list and draw a line for each vector.
  Add a velocity for each vector in the list; these will grow quickly.
  Then rotate each line, drawn with a different color.
  Put an ellipse in the center, like a miniature sun.
  */
  for (int i = 0; i < vectorCount; i++) {
    PVector l = vectorList.get(i);
    addX += 1;
    addY += 1;
    angle += 360/(float)vectorCount;
    velocity.set(addX, addY);
    velocity.rotate(radians(angle));
    l.add(velocity);
    strokeWeight(3);
    stroke(random(128, 255), random(128, 255), 0);
    line(width/2, height/2, l.x, l.y);
    noStroke();
    fill(255, 255, 0);
    ellipse(width/2, height/2, 100, 100);
  }
}
